--- title: "Retrieve ID token" slug: "retrieve-id-token" updated: 2024-03-26T16:37:23Z published: 2024-03-26T16:37:23Z canonical: "help.rapididentity.com/retrieve-id-token" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.rapididentity.com/llms.txt > Use this file to discover all available pages before exploring further. # Retrieve ID token Post/v2/tenants/{tenantId}/authenticate Retrieve ID token to be used in the Pub/Sub API Header parametersContent-TypestringRequired Path parameterstenantIdstringRequired The RapidIdentity Cloud tenant id Body parameters The API Key received when registering the RapidIdentity cloud tenant objectapiKeystring Required The api key received from registration. This key is used to receive the appropriate access token Responses200 200 response HeadersContent-Typestring Content-Lengthstring Cache-Controlstring Expand AllobjectAuthenticationResultobject (AuthenticationResultType)AccessTokenstring ExpiresIninteger IdTokenstring NewDeviceMetadataTypeobject (NewDeviceMetadataType)DeviceGroupKeystring DeviceKeystring RefreshTokenstring TokenTypestring ChallengeNamestring ChallengeParametersobject Sessionstring 400 An issue with how the request was formatted HeadersContent-Typestring Content-Lengthstring Cache-Controlstring Expand Allobjecterrorobject The error message description errors Array of object The more detailed information about the error message objectdomainstring The service where the error occured. i.e. sm, idhub reasonstring The reason for the error based on Identity Automation common error codes messagestring Additional details about the error locationTypestring The specific location where the error occurred. i.e. parameter, content locationstring The higher level location of what was trying to be accessed. i.e. pullMessages, publishMessage codestring The http status code messagestring Additional details about the error 404 The requested operation failed because a resource associated with the request could not be found HeadersContent-Typestring Content-Lengthstring Cache-Controlstring Expand Allobjecterrorobject The error message description errors Array of object The more detailed information about the error message objectdomainstring The service where the error occured. i.e. sm, idhub reasonstring The reason for the error based on Identity Automation common error codes messagestring Additional details about the error locationTypestring The specific location where the error occurred. i.e. parameter, content locationstring The higher level location of what was trying to be accessed. i.e. pullMessages, publishMessage codestring The http status code messagestring Additional details about the error 503 Unable to connect to pubsub service HeadersContent-Typestring Content-Lengthstring Cache-Controlstring Expand Allobjecterrorobject The error message description errors Array of object The more detailed information about the error message objectdomainstring The service where the error occured. i.e. sm, idhub reasonstring The reason for the error based on Identity Automation common error codes messagestring Additional details about the error locationTypestring The specific location where the error occurred. i.e. parameter, content locationstring The higher level location of what was trying to be accessed. i.e. pullMessages, publishMessage codestring The http status code messagestring Additional details about the error